Type1FontLoader (Apache FOP 2.7 API)
Date: 2022-01-12

org.apache.fop.fonts.type1

## Class Type1FontLoader

- java.lang.Object
- - org.apache.fop.fonts.FontLoader
  - - org.apache.fop.fonts.type1.Type1FontLoader

-     public class Type1FontLoader
      extends FontLoader

  Loads a Type 1 font into memory directly from the original font file.

- - ### Field Summary

    - ### Fields inherited from class org.apache.fop.fonts.FontLoader

      `embedded, fontFileURI, loaded, resourceResolver, returnFont, useAdvanced, useKerning`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Type1FontLoader(FontUris fontUris, boolean embedded, EmbeddingMode embeddingMode, boolean useKerning, InternalResourceResolver resourceResolver)` Constructs a new Type 1 font loader.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `read()` Reads/parses the font data.

    - ### Methods inherited from class org.apache.fop.fonts.FontLoader

      `getFont, loadFont`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Type1FontLoader

          public Type1FontLoader(FontUris fontUris,
                                 boolean embedded,
                                 EmbeddingMode embeddingMode,
                                 boolean useKerning,
                                 InternalResourceResolver resourceResolver)
                          throws java.io.IOException

      Constructs a new Type 1 font loader.
      Parameters:
        `fontUris` - the URI to the PFB file of a Type 1 font
        `embedded` - indicates whether the font is embedded or referenced
        `useKerning` - indicates whether to load kerning information if available
        `resourceResolver` - the font resolver used to resolve URIs
      Throws:
        `java.io.IOException` - In case of an I/O error

  - ### Method Detail

    - #### read

          protected void read()
                       throws java.io.IOException

      Reads/parses the font data.
      Specified by:
        `read` in class `FontLoader`
      Throws:
        `java.io.IOException` - In case of an I/O error

Copyright 1999-2022 The Apache Software Foundation. All Rights Reserved.